Your private notes on a live call
GET
/v1/workspace/calls/{call_id}/notes
const url = 'https://api.vocapable.com/v1/workspace/calls/example/notes';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.vocapable.com/v1/workspace/calls/example/notes \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”call_id
required
Call Id
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
WorkspaceCallNotes
The handler’s private notes while a call lives (PRD E8-R2): kept on the server so they survive the app being closed and follow the person to another device. They feed the wrap-up and are discarded when it is saved.
object
call_id
required
Call Id
string
text
required
Text
string
tags
required
Tags
Array<string>
revision
required
Revision
integer
updated_at
required
Updated At
string format: date-time
Example
{ "tags": [ "quote_requested" ]}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}